<!DOCTYPE html>
<html>
	<head>
		<title>registration</title>
		<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/css/bootstrap.min.css" integrity="sha384-B0vP5xmATw1+K9KRQjQERJvTumQW0nPEzvF6L/Z6nronJ3oUOFUFpCjEUQouq2+l" crossorigin="anonymous">
		<link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
		<link rel="stylesheet" href="../css/styles.css">
		<link rel="preconnect" href="https://fonts.gstatic.com">
		<link href="https://fonts.googleapis.com/css2?family=Crimson+Text&display=swap" rel="stylesheet">
	</head>
	<body>
		<nav class="navbar sticky-top navbar-expand-lg navbar-dark bg-secondary">
			<a class="navbar-brand" href="#">
				<img src="../computer-science.png">
			</a>
			<a class="navbar-brand" href="index.html">CSBooks</a>
			<button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
			<span class="navbar-toggler-icon"></span>
			</button>
			<div class="collapse navbar-collapse" id="navbarSupportedContent">
				<ul class="navbar-nav mr-auto">
					<li class="nav-item">
						<a class="nav-link" href="books.html">Books</a>
					</li>
					<li class="nav-item">
						<a class="nav-link" href="genres.html">Genres</a>
					</li>
				</ul>
				<ul class="navbar-nav ml-auto">
					<li class= "nav-item" id="login-button">
						<a class="nav-link" href="login.html">Login</a>
					</li>
					<li class="nav-item" hidden>
						<a class="nav-link" href="book-reviews.html">Book Reviews</a>
					</li>
					<li class="nav-item" hidden>
						<a class="nav-link" href="wishlist.html">Wishlist</a>
					</li>
					<li class="nav-item user-feature" id="user-account" hidden>
						<a class="nav-link" href="user-account.html">Account</a>
					</li>
					<li class="nav-item" id="logout-button" hidden>
						<a class="nav-link" href="index.html">Logout</a>
					</li>
				</ul>
			</div>
		</nav>
		<div class="text-center container">
			<form class="form-signin" id="register-user">
				<img class="mb-4 csIcon" src="../computer-science.png">
				<h1 class="h3 mb-3 font-weight-normal">Register</h1>
				<p>Create your account using the form below</p>
				<div class="row">
					<div class="col">
						<label for="inputFirstName" class="sr-only">First Name</label>
						<input type="text" id="input-first-name" class="form-control" name="first-name" placeholder="First name">
					</div>
					<div class="col">
						<label for="inputLastName" class="sr-only">Last Name</label>
						<input type="text" id="input-last-name" class="form-control" name="last-name" placeholder="Last name">
					</div>
				</div>
				<label for="inputEmail" class="sr-only">Email Addresss</label>
				<input type="email" id="input-email" class="form-control" placeholder="Email address">
				<div hidden id="email-error"></div>
				<label for="inputPassword" class="sr-only">Password</label>
				<input type="password" id="input-password" class="form-control" placeholder="Password">
				<label for="confirmPassword" class="sr-only">Confirm Password</label>
				<input type="password" id="confirm-password" class="form-control" placeholder="Confirm Password">
				<div hidden id="password-error"></div>
				<button class="btn btn-lg btn-secondary" id="register-button" type="submit"><span>Register</span></button>
			</form>
		</div>
		<script src="https://code.jquery.com/jquery-3.5.1.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
		<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/js/bootstrap.bundle.min.js" integrity="sha384-Piv4xVNRyMGpqkS2by6br4gNJ7DXjqk09RmUpJ8jgGtD7zP9yug3goQfGII0yAns" crossorigin="anonymous"></script>
		<script src="../scripts/server-requests.js"></script>
		<script src="../scripts/register-user.js"></script>
	</body>
</html>